Name:          barchart-archon
Version:       3.0.8
Release:       1%{?dist}
Summary:       Parent of all Barchart projects
License:       BSD
URL:           http://www.barchart.com/
Source0:       https://github.com/barchart/barchart-archon/archive/%{name}-%{version}.tar.gz
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-source-plugin
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-api)

BuildArch:     noarch

%description
Parent of all Barchart projects.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_xpath_remove "pom:build/pom:extensions"
%pom_remove_plugin com.carrotgarden.maven:carrot-maven-scr-plugin
%pom_remove_plugin org.codehaus.mojo:groovy-maven-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :karaf-maven-plugin
%pom_remove_plugin :properties-maven-plugin
%pom_remove_plugin :reflections-maven
%pom_remove_plugin :scala-maven-plugin
%pom_remove_plugin :wagon-maven-plugin

%pom_remove_dep :scala-reflect

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc readme.md

%changelog
* Thu Feb 12 2015 gil cattaneo <puntogil@libero.it> 3.0.8-1
- 3.0.8

* Tue Oct 29 2013 gil cattaneo <puntogil@libero.it> 2.5.12-1
- initial rpm
